<?php
$string = 'Напишіть програму яка перевіряє довжину рядка. Якщо рядок більше 20 символів то треба перевірити чи цей рядок складається з декількох речень і якщо так то вирізати з рядку перше речення, якщо ні вивести на екран повідомлення що рядок  має 1 речення.';

if(strlen($string) > 20) {

  if(substr_count($string, '.') > 1) {
    $position = mb_strpos($string, '.');
    $result = mb_substr($string, 0, $position);
    echo $result;
  } else {
    echo 'рядок  має 1 речення';
  }

} else {
  echo 'речення меньше 20 символів';
}

